



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>前端学习_01_css网页布局</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">前端学习_01_css网页布局</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-08 17:41:43 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>引子</h3>
<p>之前也自己陆陆续续地学了一些web方面的知识，包括前段和后端都有涉及到，自己也比较感兴趣，感谢peter老师，愿意无偿提供从零开始的教学，之前也看过peter老师的一些视频，节奏非常适合我，决心跟着peter老师系统地学习一遍。感谢peter!</p>
<h3>1.CSS：层叠样式表</h3>
<p>CSS，层叠样式表，层叠的意思是，作用域的范围越小则优先级越高，就像把样式一层一层叠起来。</p>
<p>通过建立CSS可以控制网页的样式，并且可以使内容和样式分离，这样更加便于管理样式，之前看过一个文章，当样式特别复杂的时候，用面向对象的思想来控制样式，非常有效。</p>
<p>为了使得CSS在网页中生效，需要在head标签中添加link:</p>
<p>&lt;link rel="stylesheet" href="main.css"&gt;</p>
<p>main.css可以用相对路径（如上所示就是指在html文件的相同目录下）表示文件的位置。</p>
<p>CSS文件内容可以以一个标签开头，大括号里面的内容是该标签的样式，也可以是.class或者#id开头，用来精确控制样式：</p>
<p>body{<br /> background: orange;<br />}<br />h1{<br /> background: white;<br /> color: green;<br /> text-align: center;<br />}</p>
<p>以上内容可以发现虽然h1标签在body内，但是h1的样式还是以h1为准，因为h1的作用域更加小，表达的内容更加精确。</p>
<h3>2.行内元素和块元素</h3>
<p>html页面上的元素有两种：块级元素、行内元素（内联元素）</p>
<p>块元素：如h1等标签代表的元素，一行中只能有一个元素，如果有第二个块元素，则会另起一行；</p>
<p>行内元素：如i等表示格式的元素，同一行中可以有多个元素，如果出现第二个元素，并且一行没有满，则会跟着第一个元素出现在同一行中。</p>
<p>通过Chrom等浏览器的开发者工具：审查元素，可以查看到页面中的每个元素的详细信息，并且可以实时查看或者更改元素的样式，非常方便。</p>
<h3>3.块元素的盒子模型</h3>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog/675510/201504/082127150409090.png" /></p>
<p>如上图所示，每个块元素都是这样的盒子模型占据网页空间。每个盒子模型由content、padding、border、margin组成，通过设置可以改变每个填充部分的宽度、颜色、填充形式等；</p>
<p>对块元素设置宽度和高度，改变的是content的高度和宽度。</p>
<h3>4.元素的class和id</h3>
<p>通过对元素设置class和id，可以更加精确地控制元素的样式。</p>
<p>对标签添加class属性，可以让元素继承某个class的所有格式，同一个class可以在多个元素上出现，</p>
<p>对标签添加id属性，可以给元素单独设置属性，同一个id只能是一个元素。</p>
<p>class和id一样遵循层叠原则，更加精确的id往往具有更高的优先级：</p>
<p>.welcome{<br /> color: blue;<br /> font-weight: bold;<br />}<br />#first_text{<br /> font-weight: normal;<br />}</p>
<p>如上样式，如果一个p既有class=&ldquo;welcome&rdquo;属性，又有id=&ldquo;first_text&rdquo;属性，则他的样式为蓝色非粗体。</p>
<h3>5.通过css设置块元素位置</h3>
<p>了解了块元素的组成结构之后，通过设置块元素的margin，可以轻松调整块元素的位置</p>
<p>margin: 10px 20px 30px 40px 通过设置4个数值可以分别对上右下左（顺时针方向）四个边距进行调整；</p>
<p>margin: 10px 20px 通过设置两个数值，则这两个数值会被循环两次，得到四个边距值；</p>
<p>margin: 10px 同理，如果只设置了一个值，则会循环四次，得到四个边距值；</p>
<p>如果设置三个值，则会将第二个值同时用于左右方向；</p>
<p>除了用margin同时设置外，还可以单独设置margin-left、margin-right、margin-top、margin-bottom</p>
<p>如果要设置居中，则将左右margin设置为auto就能简单实现</p>
<p>padding、border同理</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqdj16jq.html">2016中国&amp;&num;183&semi;西安&OpenCurlyDoubleQuote;华山杯&rdquo;WriteUp- SeeSea</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v7oy38.html">【leetcode❤python】 219&period; Contains Duplicate II</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnekgpq.html">JSOI地铁换票 （贪心）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmvmox9.html">vim变ide</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1w7ve9.html">java应用CPU占用率过高问题的分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ogmd39.html">Layout Resource官方教程&lpar;2&rpar;用ViewStub引用的嵌入的layout可推迟加载</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdxgnr8.html">OR 改写union数据变少</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k16d0j9.html">Quarzt&period;NET的Cron表达式理解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlm40vk9.html">spark原理介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdwj0y9.html">前端学习笔记（zepto或jquery）&mdash;&mdash; 布局技巧（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzd0dg8.html">windows mysql 操作实践</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp6gx79.html">框架学习笔记之Mybatis&lpar;一&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zx1639.html">【Java编程思想笔记】注解--元注解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp32069.html">报文分析3、ICMP协议的头结构</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25d07vq.html">Hadoop2&period;X管理与开发</a>
		</li>
						<li><a href="https://www.batexi.com/a/960vp549.html">gcc与g&plus;&plus;的一些关系</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1wl2g9.html">OTU（operational taxonomic units），即操作分类单元</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2gvypq.html">java基础-day24</a>
		</li>
						<li><a href="https://www.batexi.com/a/93pw20g8.html">xpath的常见操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppy65d9.html">DBA&lowbar;实践指南系列2&lowbar;Oracle Erp R12系统安装配置设定Setup（案例）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qxk4wvv8.html">mysql分区分表</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpdp1r9.html">ABP module-zero &plus;AdminLTE&plus;Bootstrap Table&plus;jQuery权限管理系统第十六节--SignalR与ABP框架Abp&period;Web&period;SignalR及扩展</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxk4kjz8.html">snprintf 返回值陷阱 重新封装</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv17141q.html">Codeforces 438D The Child and Sequence</a>
			</li>
						<li><a href="https://www.batexi.com/a/950ngw08.html">zeppelin0&period;7&period;3源码编译</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxk42208.html">linux mysql定时备份</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mexj56q.html">Effective Java 第三版&mdash;&mdash;4&period; 使用私有构造方法执行非实例化</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4z6nee9.html">查询linux版本命令</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv17r6xq.html">HTML&colon; width&comma;height</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpxzmvq.html">企业级PPTP服务器</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
